commit e1f73fafd390d5ce49fc63afaab0653fe1b3983a
Author: dsorber <david.sorber@gmail.com>
Date:   Mon Mar 26 17:35:02 2018 -0400

    Adding two misc scripts that have been sitting on my desktop for a while now. They may be useful later on, if I can remember they exist.

diff --git a/software/misc/import-cert.sh b/software/misc/import-cert.sh
new file mode 100755
index 0000000..66a12cf
--- /dev/null
+++ b/software/misc/import-cert.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# usage:  import-cert.sh remote.host.name [port]
+#
+REMHOST=$1
+REMPORT=${2:-443}
+exec 6>&1
+exec > $REMHOST
+echo | openssl s_client -connect ${REMHOST}:${REMPORT} 2>&1 |sed -ne '/-BEGIN CERTIFICATE-/,/-END CERTIFICATE-/p'
+certutil -d sql:$HOME/.pki/nssdb -A -t TC -n "$REMHOST" -i $REMHOST 
+exec 1>&6 6>&-
diff --git a/software/misc/proc_speeds.sh b/software/misc/proc_speeds.sh
new file mode 100755
index 0000000..53d2021
--- /dev/null
+++ b/software/misc/proc_speeds.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [[ $EUID -ne 0 ]]; then
+   echo "This script must be run as root" 
+   exit 1
+fi
+
+NUM_CPUS=$( cat /proc/cpuinfo | grep processor | wc -l )
+echo -e $NUM_CPUS" CPUs detected\n\n"
+
+# at /sys/devices/system/cpu/cpu*/cpufreq/cpuinfo_cur_freq
+for ((idx=0;idx<NUM_CPUS;idx++)); do 
+    printf "\t%02d -- " "$idx"; 
+    cat /sys/devices/system/cpu/cpu$idx/cpufreq/cpuinfo_cur_freq
+done
